
Core - Bug # 54488

Status: New Priority: Must have
Author: Kai Kretschmann Category: Workspaces
Created: 2013-12-18 Assigned To: Oliver Hader
Updated: 2015-01-23 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity:
Is Regression: Yes
Sprint Focus:
Subject: Images vanishing from output in preview
Description

After installing 4.5.32 it seems that the workspaces don't work anymore.
When I switch to my workspace and change an image object, either by moving it up or down in the order or by just changing the
(hidden) title by one character, the preview skips that element. The rest still displays.

Before that update it worked. I don't remember if I updated from .30 or .31 but there must have been some change in the last patches.

Other elements can be edited, like header elements. These changes are displayed in the visual preview.

For images I have also the dam extensions installed.

Related issues:
related to Core - Task # 54948: swap workspace won't reset t3ver_wsid New 2014-01-13
duplicates Core - Bug # 59551: Workspace - Preview Image - Image not show - 4... New 2014-06-13

History
#1 - 2013-12-18 11:05 - Oliver Hader
- Status changed from New to Needs Feedback
- Assigned To set to Oliver Hader
- Is Regression changed from No to Yes

Can you please investigate the version this worked, thus either 4.5.30 or 4.5.31?
Did you update the DAM Extension in between?

DAM uses MM relations to reference images with tt_content elements - thus, this might be a good starting point.
I can have a look if you could provide some more details and version numbers. Thanks in advance!

#2 - 2013-12-18 11:30 - Kai Kretschmann

I stepped backwards and it seems to break when going from .30 to .31, with 4.5.30 the dam image versioning works.
The main dam extension is version 1.3.1

#3 - 2014-01-15 11:41 - Online Now! GmbH

We have the same problem in one of our projects. Image in Workspace preview ( normal view and frame view with slider ) does not work with 4.5.31
and 4.5.32. The installed DAM version is 1.3.2.
#4 - 2014-01-22 09:25 - Alexander Opitz
- Status changed from Needs Feedback to New

#5 - 2014-05-22 16:14 - Online Now! GmbH

After investigating this, i managed to find the cause of this issue. Between 4.5.30 and 4.5.31 there was a change in the enabledField() function (
/t3lib/class.t3lib_page.php ). There was a check for the parameter $noVersionPreview added, which is by default set to false. But the check for this
parameter is wrong:

// Filter out versioned records
if (!$noVersionPreview) {
    $query .= ' AND ' . $table . '.pid<>-1';
}

This should be changed to:

// Filter out versioned records
if ((bool)$noVersionPreview) {
     $query .= ' AND ' . $table . '.pid<>-1';
}

Now the check means, if there is no version preview wanted, select only records with a pid <> -1 ( which are records created in a workspace
environment ).

After manually fixing this in our installation, everything works again as expected.

#6 - 2014-05-23 13:08 - Online Now! GmbH

Unfortunately, the suggested fix yesterday breaks the display of normal content ( tt_content ) in workspace preview. So dont use it. A working fix for the
posted problem is still open.

#7 - 2014-06-17 15:28 - Lars Trebing

I think that this should be marked as related or even a duplicate of #54948 and/or as related to #37065.

To anyone in need of a temporary solution, I would recommend reverting the appropriate changeset from #37065 (i.e. d114ddb3 for 4.5, f561b99 for
6.0, 3ac3429 for 6.1, and a81a581 for 6.2).

#8 - 2015-01-23 11:33 - Mathias Schreiber
- Target version changed from next-patchlevel to 7.5
